Package be.e_contract.ejsf.validator.password

# Class PasswordValidator

java.lang.Object
be.e_contract.ejsf.validator.password.PasswordValidator

All Implemented Interfaces:
  `EventListener`, `javax.faces.validator.Validator`

public class PasswordValidator extends Object implements javax.faces.validator.Validator

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`VALIDATOR_ID`

### Fields inherited from interface javax.faces.validator.Validator

`NOT_IN_RANGE_MESSAGE_ID`

## Constructor Summary

Constructors
Constructor
Description
`PasswordValidator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VALIDATOR_ID

public static final String VALIDATOR_ID

See Also:
  - Constant Field Values

## Constructor Details

### PasswordValidator

public PasswordValidator()

## Method Details

### validate

public void validate(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object value) throws javax.faces.validator.ValidatorException

Specified by:
  `validate` in interface `javax.faces.validator.Validator`
Throws:
  `javax.faces.validator.ValidatorException`